Skip to main content

Retrieve refunds

GET 

/refunds

Retrieves a list of refunds

Request

Query Parameters

    sortColumn string

    Possible values: <= 255 characters

    Entity field used to sort the results

    sort string

    Possible values: [asc, desc]

    Direction to use when sorting records

    perPage integer

    Possible values: >= 1

    Number to indicate how many records should be returned per page

    page integer

    Possible values: >= 1

    Page number to retrieve records

    q string

    Possible values: <= 255 characters

    Query to filter records. Query will search the following fields: refund's charge_id, customer_id and id, customer's email, first_name and last_name

    status RefundStatus

    Possible values: [pending, succeeded, failed]

    Refund status to filter records

Responses

Refunds retrieved

Schema

    status string

    Possible values: [success]

    data

    object[]

  • Array [

  • id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    charge_id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    merchant_id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    customer_id uuid

    Possible values: <= 36 characters, Value must match regular expression ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

    UUID v4

    reason string

    Possible values: [duplicate, fraudulent, requested_by_customer, expired_uncaptured_charge, chargeback_alert_automatic_resolution]

    Reason code

    description stringnullable

    Possible values: <= 255 characters

    Description for this refund

    status RefundStatus (string)

    Possible values: [pending, succeeded, failed]

    created_on Unix timestamp

    Unix timestamp representing the date

    initial_amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    ending_amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

    refund_amount

    object

    Money representation

    value MoneyAmount (integer)required

    Possible values: <= 9999999999

    Amount expressed in cents. 1 USD should be submitted as 100 cents

    currency /[A-Z]{3}/required

    ISO 4217 representation of the currency

  • ]

  • code integer

    Possible values: [200]

    message string

    Possible values: [Successful request]

    pagination

    object

    total_records integer
    page integer
    records_per_page integer
Loading...